<?php
/**
 * app/plugins/blog/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Blog
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use ReflectionClass;
use TheTempusProject\Classes\Installer;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Classes\Plugin;
use TheTempusProject\Models\Posts;
use TheTempusProject\TheTempusProject as App;

class Blog extends Plugin {
    public $pluginName = 'TP Blog';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin to add a blog to your installation.';
    public $admin_links = [
        [
            'text' => '<i class="glyphicon glyphicon-text-size"></i> Blog',
            'url' => '{ROOT_URL}admin/blog',
        ],
    ];
    public $footer_links = [
        [
            'text' => 'Blog',
            'url' => '{ROOT_URL}blog/index',
        ],
    ];
    public $resourceMatrix = [
        'posts' => [
            [
                'title' => 'Welcome',
                'content' => '<p>This is just a simple message to say thank you for installing The Tempus Project. If you have any questions you can find everything through our website <a href="https://TheTempusProject.com">here</a>.</p>',
                'author' => 1,
                'created' => '{time}',
                'edited' => '{time}',
                'draft' => 0,
            ],
        ],
    ];
    public $posts;

    public function __construct( $load = false ) {
        $this->posts = new Posts;
        parent::__construct( $load );
    }
}
