<?php
/**
 * app/plugins/donate/models/donations.php
 *
 * This class is used for the manipulation of the donations database table.
 *
 * @package TP Donate
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Models;

use TheTempusProject\Classes\DatabaseModel;
use TheTempusProject\Plugins\Bugreport as Plugin;

class Donations extends DatabaseModel {
    public $tableName = 'donations';
    public $databaseMatrix = [
        [ 'amount', 'int', '11' ],
        [ 'createdAt', 'int', '10' ],
        [ 'user_d', 'int', '10' ],
        [ 'comment', 'text', '' ],
    ];
    public $plugin;

    /**
     * The model constructor.
     */
    public function __construct() {
        parent::__construct();
        $this->plugin = new Plugin;
    }
}
